
Redmine - Defect #14969

ActiceSupport::TimeWithZone failed in migrate_from_mantis.rake

2013-09-23 05:30 - Mac Chang

Status: New Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.3

Description

The Redmine installation information as below:

@Information

Redmine 2.3.3.stable

Default administrator account changed True

Attachments directory writable True

Plugin assets directory writable True

RMagick available (optional) True

Environment:

Redmine version 2.3.3.stable

Ruby version 1.9.3-p231 (2012-05-25) [i386-mingw32]

Rails version 3.2.13

Environment production

Database adapter Mysql2

Redmine plugins:

no plugin installed

Mantis Bug Tracker version: 1.2.15

@

I referred from this page's SQL coding (http://www.webismymind.be/upload/documents/migrate_from_mantis_1_2.sql), altered and

update my Mantis database time format.

Also, I edited the migrate_from_mantis.rake script, connection seems fine on a fresh installed Redmine until I encounter this error:

"*comparison of Fixnum with ActiveSupport::TimeWithZone failed*"

Please advice me what is the error and what I have to edit on my migrate_from_mantis.rake script. See attachment for more

information. Thank you.

Related issues:

Related to Redmine - Defect #15175: Migrate from Mantis 1.2.15 to Redmin 2.3.2 New

History

#1 - 2013-10-29 05:49 - Toshi MARUYAMA

- Related to Defect #15175: Migrate from Mantis 1.2.15 to Redmin 2.3.2 added

#2 - 2017-08-09 09:31 - chaoping li

- File 无标题.png added

#3 - 2017-08-09 09:34 - Marius BĂLTEANU

- File deleted (无标题.png)

Files

error.jpg 106 KB 2013-09-23 Mac Chang

2025-05-23 1/2

http://www.webismymind.be/upload/documents/migrate_from_mantis_1_2.sql


migrate_from_mantis.rake 19.6 KB 2013-09-23 Mac Chang
